# ApplicationFramework
TKTObj
TObj

# TObj_CheckModel Class Reference

`#include <TObj_CheckModel.hxx>`

## Public Member Functions

| TObj_CheckModel (const Handle(TObj_Model)&theModel)
| Initialize checker by model.
void | SetToFix (const Standard_Boolean theToFix)
| Sets flag allowing fixing inconsistencies.
Standard_Boolean | IsToFix () const
| Returns true if it is allowed to fix inconsistencies.
const | Handle (TObj_Model)&GetModel() const
| Returns the checked model.
virtual | ~TObj_CheckModel ()
| Empty virtual destructor.
virtual Standard_EXPORT Standard_Boolean | Perform ()
| Performs all checks. Descendants should call parent method before doing own checks. This implementation checks OCAF references and back references between objects of the model. Returns true if no inconsistencies found.

## Private Member Functions

Standard_EXPORT Standard_Boolean | checkReferences ()
| Check References (and back references in model). This method just tries to find object to that this reference is indicate and test if that object is not null or not deleted. Also it test if that object has back reference to correct object (object that has forward reference).
| Handle (TObj_Model) myModel

## Private Attributes

Standard_Boolean | myToFix

## Detailed Description

This class provides consistency check of the TObj model. It collects all inconsistencies in the status bits and prepaires messages to be sent using SendStatusMessages (SendMessages) method. It supports also the fix mode, in which some inconsistencies are corrected.

## Constructor & Destructor Documentation

TObj_CheckModel::TObj_CheckModel | ( | const Handle(TObj_Model)& | theModel | ) | `[inline]`

virtual TObj_CheckModel::~TObj_CheckModel | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TObj_CheckModel::checkReferences | ( |  | ) | `[private]`

TObj_CheckModel::Handle | ( | TObj_Model |  | ) | `[private]`

const TObj_CheckModel::Handle | ( | TObj_Model |  | ) | const`[inline]`

Standard_Boolean TObj_CheckModel::IsToFix | ( |  | ) | const`[inline]`

virtual Standard_EXPORT Standard_Boolean TObj_CheckModel::Perform | ( |  | ) | `[virtual]`

void TObj_CheckModel::SetToFix | ( | const Standard_Boolean | theToFix | ) | `[inline]`

## Field Documentation

Standard_Boolean TObj_CheckModel::myToFix `[private]`

The documentation for this class was generated from the following file:

- TObj_CheckModel.hxx